<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="./main.js"></script>
    <title>Quản lý đơn hàng</title>
    <!-- Import Datatable sau jquery -->
    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body>
    <div class="container">
        <div class="row m-4">
            <div class="col-sm-12 text-center">
                <h1>Quản lý đơn hàng</h1>
            </div>
        </div>
        <div class="jumbotron container">
            <div class="row">
                <div class="col-sm-5">
                    <div class="row">
                        <div class="col-sm-3">
                            <label for="">Loại Pizza</label>
                        </div>
                        <div class="col-sm-9">
                            <select name="" id="select-pizza" class="form-control w-50">
                                <option value="all">ALL</option>
                                <option value="HAWAII">HAWAII</option>
                                <option value="Bacon">BACON</option>
                                <option value="Seafood">SEAFOOD</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-sm-5">
                    <div class="row">
                        <div class="col-sm-2">
                            <label for="">Status</label>
                        </div>
                        <div class="col-sm-10">
                            <select name="" id="select-status" class="form-control w-50">
                                <option value="all">All</option>
                                <option value="open">Open</option>
                                <option value="confirmed">Confirmed</option>
                                <option value="canceled">Canceled</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-sm-2">
                    <button class="btn btn-info w-50" id="btn-filter-data">Lọc</button>
                </div>
            </div>
        </div>
        <div class="row m-4">
            <div class="col-sm-12">
                <button class="btn btn-success" id="btn-create-modal">
                    <i class="fas fa-plus"></i>
                    Thêm
                </button>
            </div>
        </div>
        <div class="row">
            <table class="table table-bordered table-striped table-hover" id="table-order">
                <thead>
                    <tr>
                        <th>Order ID</th>
                        <th>Kích cỡ combo</th>
                        <th>Loại pizza</th>
                        <th>Nước uống</th>
                        <th>Thành tiền</th>
                        <th>Họ và tên</th>
                        <th>Số điện thoại</th>
                        <th>Trạng thái</th>
                        <th>Chi tiết</th>
                    </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
        </div>
    </div>

    <!-- // Create Modal -->
    <div id="create-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">Create Order</h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="form-group mt-3">
                        <label for="">Có Combo:</label>
                        <select name="" id="select-create-combo" class="form-control">
                            <option value="none">...</option>
                            <option value="S">Small</option>
                            <option value="M">Medium</option>
                            <option value="L">Large</option>
                        </select>
                    </div>
                    <div class="form-group mt-3">
                        <label for="">Đường kính Pizza</label>
                        <input type="number" class="form-control" id="input-create-duongkinh" placeholder="..."
                            readonly>
                    </div>
                    <div class="form-group mt-3">
                        <label for="">Sườn nướng(miếng)</label>
                        <input type="number" class="form-control" id="input-create-suonnuong" placeholder="..."
                            readonly>
                    </div>
                    <div class="form-group mt-3">
                        <label for="">Salad</label>
                        <input type="number" class="form-control" id="input-create-salad" placeholder="..." readonly>
                    </div>
                    <div class="form-group mt-3">
                        <label for="">Số lượng nước uống</label>
                        <input type="number" class="form-control" id="input-create-soluong-drink" placeholder="..."
                            readonly>
                    </div>
                    <div class="form-group mt-3">
                        <label for="">Thành tiền</label>
                        <input type="number" class="form-control" id="input-create-money" placeholder="..." readonly>
                    </div>
                    <div class="form-group mt-3">
                        <label for="">Loại pizza</label>
                        <select name="" id="select-create-pizza" class="form-control">
                            <option value="none">...</option>
                            <option value="Hawaii">Hawaii</option>
                            <option value="Seafood">Hải sản</option>
                            <option value="Bacon">Thịt hun khói</option>
                        </select>
                    </div>
                    <div class="form-group mt-3">
                        <label for="">Voucher ID</label>
                        <input type="number" class="form-control" id="input-create-voucherId" placeholder="...">
                    </div>
                    <div class="form-group mt-3">
                        <label for="">Đồ uống</label>
                        <select name="" id="select-create-drink" class="form-control">
                            <option value="none">...</option>
                        </select>
                    </div>
                    <div class="form-group mt-3">
                        <label for="">Họ và tên</label>
                        <input type="text" class="form-control" id="input-create-name" placeholder="...">
                    </div>
                    <div class="form-group mt-3">
                        <label for="">Email</label>
                        <input type="text" class="form-control" id="input-create-email" placeholder="...">
                    </div>
                    <div class="form-group mt-3">
                        <label for="">Số điện thoại</label>
                        <input type="text" class="form-control" id="input-create-phonenum" placeholder="...">
                    </div>
                    <div class="form-group mt-3">
                        <label for="">Địa chỉ</label>
                        <input type="text" class="form-control" id="input-create-address" placeholder="...">
                    </div>
                    <div class="form-group mt-3">
                        <label for="">Lời nhắn</label>
                        <input type="text" class="form-control" id="input-create-message" placeholder="...">
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" id="btn-create-cancel" data-dismiss="modal">Cancel</button>
                    <button class="btn btn-primary" id="btn-create-order">Create Order</button>
                </div>
            </div>
        </div>
    </div>

    <!-- // Update Modal -->
    <div>
        <div id="update-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="h5-modal-title">Update Order</h5>
                        <button class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group mt-3">
                            <label for="">Có Combo:</label>
                            <input type="text" class="form-control" id="input-update-combo" placeholder="..." readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Đường kính Pizza</label>
                            <input type="text" class="form-control" id="input-update-duongkinh" placeholder="..."
                                readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Sườn nướng(miếng)</label>
                            <input type="text" class="form-control" id="input-update-suonnuong" placeholder="..."
                                readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Đồ uống</label>
                            <input type="text" class="form-control" id="input-update-drink" placeholder="..." readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Số lượng nước uống</label>
                            <input type="text" class="form-control" id="input-update-soluong-drink" placeholder="..."
                                readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Voucher ID</label>
                            <input type="text" class="form-control" id="input-update-voucherId" placeholder="..."
                                readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Loại pizza</label>
                            <input type="text" class="form-control" id="input-update-pizza" placeholder="..." readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Salad</label>
                            <input type="text" class="form-control" id="input-update-salad" placeholder="..." readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Thành tiền</label>
                            <input type="text" class="form-control" id="input-update-money" placeholder="..." readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Họ và tên</label>
                            <input type="text" class="form-control" id="input-update-name" placeholder="..." readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Email</label>
                            <input type="text" class="form-control" id="input-update-email" placeholder="..." readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Số điện thoại</label>
                            <input type="text" class="form-control" id="input-update-phonenum" placeholder="..."
                                readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Địa chỉ</label>
                            <input type="text" class="form-control" id="input-update-address" placeholder="..."
                                readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Lời nhắn</label>
                            <input type="text" class="form-control" id="input-update-message" placeholder="..."
                                readonly>
                        </div>
                        <div class="form-group mt-3">
                            <label for="">Trạng thái đơn hàng</label>
                            <select name="" id="select-update-status" class="form-control">
                                <option value="open">open</option>
                                <option value="canceled">canceled</option>
                                <option value="confirmed">confirmed</option>
                            </select>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Cancel</button>
                        <button class="btn btn-primary" id="btn-update-order">Update Order</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- // Delete Modal -->
    <div>
        <div class="modal fade" tabindex="-1" id="delete-modal">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="h5-modal-title">Order Delete Confirmation</h5>
                        <button class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <label>Bạn có chắc chắn muốn xóa đơn hàng này không?</label>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-danger" id="btn-confirm-delete-order">Confirm</button>
                        <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>